<?php
require_once '../vendor/autoload.php'; // Adjust the path as needed
require_once '../includes/db.php'; // Include your DB connection

use Twilio\Rest\Client;

// Twilio credentials
$accountSid = 'ACed1922d55657a9b66b91111a35763d6c';
$authToken = '11ccca81af7629a32a86366fce279c45';
$twilioPhoneNumber = '+17626677146';

// Initialize the Twilio client
$client = new Client($accountSid, $authToken);

// Static phone number for testing
$phoneNumber = '+96170326183';

// Generate a verification code
$verificationCode = rand(100000, 999999);

// Insert into database
$query = $connection->prepare("INSERT INTO user_verification_codes (phone_number, verification_code) VALUES (?, ?)");
$query->bind_param("ss", $phoneNumber, $verificationCode);

if ($query->execute()) {
    try {
        $message = $client->messages->create(
            $phoneNumber, // Text this number
            [
                'from' => $twilioPhoneNumber, // From a valid Twilio number
                'body' => "Your verification code is: $verificationCode"
            ]
        );

        echo json_encode(['message' => 'Verification code sent', 'messageId' => $message->sid]);
    } catch (Exception $e) {
        echo json_encode(['error' => $e->getMessage()]);
    }
} else {
    echo json_encode(['error' => 'Failed to save verification code']);
}
?>
