<?php
require_once '../includes/db.php'; // Adjust the path as needed

header('Content-Type: application/json');

$query = "SELECT id, Category, OrderIndex FROM FAQCategories ORDER BY OrderIndex ASC";
$result = $connection->query($query);

$categories = [];

if ($result && $result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        $categories[] = $row;
    }
    echo json_encode(['error' => false, 'data' => $categories]);
} else {
    echo json_encode(['error' => true, 'message' => 'No categories found']);
}

$connection->close();
?>
