<?php
include '../includes/db.php';

$response = array();
$query = "SELECT id, Name, GoogleMaps FROM Drops";

// Prepare and execute the query
if ($stmt = $connection->prepare($query)) {
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $response['checkpoints'] = $result->fetch_all(MYSQLI_ASSOC);
        $response['success'] = 1;
    } else {
        $response['success'] = 0;
        $response['message'] = "No checkpoints found";
    }

    $stmt->close();
} else {
    $response['success'] = 0;
    $response['message'] = "Database query failed";
}

echo json_encode($response);
$connection->close();
?>
