<?php
require_once '../includes/db.php';

header('Content-Type: application/json');

$response = array();

$query = "SELECT * FROM Privacy";
$stmt = $connection->prepare($query);

if ($stmt) {
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $privacyData = array();
        while ($row = $result->fetch_assoc()) {
            $privacyData[] = $row;
        }
        echo json_encode(['success' => true, 'data' => $privacyData]);
    } else {
        echo json_encode(['success' => false, 'message' => 'No privacy data found']);
    }

    $stmt->close();
} else {
    echo json_encode(['success' => false, 'message' => 'Database query preparation failed']);
}

mysqli_close($connection);
?>
